×

Give a tip

BUG in useragentstring


rr

Recommended Posts

On windows XP and on Windows 7 and windows 10 the useragentstring default is causing errors from various sites.

The standard user agentstring (see www.useragentstring.com) says it is:

Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.4.7.1000 Chrome/30.0.1599.101 Safari/537.36

This is all nice and well but the Chrome version number is too low, so some sites will announce that access is denied due to having a browser that is too old.

I think it is time to update the chrome version number and release in maxthon. When will the new update come for mx5? I also think there should be more default settings for the browser string.

Tip   Give
Link to comment
Share on other sites

1 hour ago, rr said:

On windows XP and on Windows 7 and windows 10 the useragentstring default is causing errors from various sites.

The standard user agentstring (see www.useragentstring.com) says it is:

Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Maxthon/4.4.7.1000 Chrome/30.0.1599.101 Safari/537.36

This is all nice and well but the Chrome version number is too low, so some sites will announce that access is denied due to having a browser that is too old.

I think it is time to update the chrome version number and release in maxthon. When will the new update come for mx5? I also think there should be more default settings for the browser string.

Thats because you are using an old version of Maxthon. Use the latest 4.9 version.

Tip   Give
Link to comment
Share on other sites

Hi,

Thanks for reaching out.

Please try the latest version of Maxthon 4.9.1.100 http://forum.maxthon.com/index.php?/topic/18880-maxthon-browser-for-windows-v491100-beta-released/. 4.9 generation comes with an upgraded core and you may face less "Unsupported browser" notifications with it.

Please wait patiently for MX5, it will come with a higher core that will address this issue.

Tip   Give
Link to comment
Share on other sites

If it's just reading the string, then you can just change it to whatever version you want. If it's detecting the version by some other means, then you will need to update to 4.9. If that still doesn't help, then changing to Retro mode can fix most other issues.

Outside of that, MX5 should fix most issues otherwise use another browser for the few sites that might have issues if none of those options work.

Tip   Give
Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.